@font-face {
    font-family: 'Inter';
    src: url('./Fonts/Inter-Regular.ttf');
    font-weight: 400;
}

@font-face {
    font-family: 'Inter';
    src: url('./Fonts/Inter-SemiBold.ttf');
    font-weight: 700;
}

@font-face {
    font-family: 'Inter';
    src: url('./Fonts/Inter-Medium.ttf');
    font-weight: 500;
}

#components-reconnect-modal {
    display: none;
}

#components-reconnect-modal.components-reconnect-show,
#components-reconnect-modal.components-reconnect-failed,
#components-reconnect-modal.components-reconnect-rejected {
    display: block;
}

html,
body {
    font-family: 'Inter', Helvetica, Arial, sans-serif;
    font-weight: 400;
    color: #4D5E80;
}

h1,
h2,
h3,
h4,
h5,
h6,
.chip,
.display-name {
    font-weight: 700;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    color: #41506f;
}

h1 {
    font-size: 26px;
    margin-bottom: 1rem;
}

h2 {
    font-size: 22px;
}

h3 {
    font-size: 18px;
}

h5 {
    font-size: 16px;
}

h6 {
    font-size: 14px;
}

.rz-paginator-element {
    font-size: 12px;
}

.subtitle {
    color: #a0abbe;
}

a,
.btn-link {
    color: #3D37EE;
}

.sm-font {
    font-size: 14px;
}

.lge-font {
    font-size: 18px;
}

.strong {
    font-weight: 700;
}

.rz-messages-warning {
    color: #f09000;
}

.font-red {
    color: #FF4F4F;
}

.font-orange {
    color: #f09000;
}

.btn-primary {
    color: #fff;
    background-color: #3D37EE;
    border-color: #3D37EE;
}

.btn:focus,
.btn:active:focus,
.btn-link.nav-link:focus,
.form-control:focus,
.form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #3D37EE;
}

main {
    overflow: auto;
}

.content {
    padding-top: 1.1rem;
    background-color: white;
}

.custom-card {
    border: 1px solid #DADADA;
    border-radius: 8px;
    padding: 1em;
    box-shadow: 1px 1px 4px 2px rgb(0 0 0 / 0.05);
    background: #ffffff;
}

.custom-card.no-border {
    border: none;
}

.custom-card.no-padding {
    padding: 0;
}

h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

.blazor-error-boundary::after {
    content: "An error has occurred."
}

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

.flex.flex-mobile {
    display: flex;
}

.flex.justify-content-space-btwn {
    justify-content: space-between;
}

.flex.justify-content-end {
    justify-content: end;
}

.flex.justify-content-center {
    justify-content: center;
}

.flex.align-items-center {
    align-items: center;
}

.flex.align-items-start {
    align-items: start;
}

.flex-gap-20 {
    gap: 20px;
}

.flex-wrap {
    flex-wrap: wrap;
}

/*add this to avoid flickering*/
.plk-dd-inprogess > * {
    pointer-events: none;
}

/*dropzone style style*/
.plk-dd-dropzone {
    min-height: 50px;
}

/*drag drop styles*/

.plk-dd-spacing {
    height: 10px;
}

.plk-dd-spacing-dragged-over {
    padding: 25px;
}

.plk-dd-dragged-over {
    background-color: lightgray;
    opacity: 0.6;
    animation: blinker 1s linear infinite;
}

.plk-dd-dragged-over > div {
    background-color: lightgray;
    opacity: 0.6;
    animation: blinker 1s linear infinite;
}

.plk-dd-dragged-over-denied {
    background-color: red;
    opacity: 0.6;
    animation: blinker 1s linear infinite;
}

.plk-dd-in-transit {
    opacity: 0;
}

.plk-dd-in-transit > div {
    opacity: 0;
}

@keyframes blinker {
    50% {
        opacity: 0;
    }
}

.blink_me {
    animation: blinker 1s linear infinite;
}

/*for flex demo*/

.plk-flex .plk-dd-spacing {
    width: 20px;
    height: auto;
}

.plk-flex .plk-dd-dragged-over {
    background-color: lightgray;
    opacity: 0.6;
    animation: blinker 1s linear infinite;
}

.plk-flex .plk-dd-dragged-over > div {
    background-color: lightgray;
    opacity: 0.9;
    animation: blinker 1s linear infinite;
}

.plk-flex .plk-dd-in-transit {
    background-color: orangered;
}

.plk-flex .plk-dd-in-transit > div {
    background-color: orangered;
}

.plk-dd-noselect {
    -webkit-touch-callout: none;
    /* iOS Safari */
    -webkit-user-select: none;
    /* Safari */
    -khtml-user-select: none;
    /* Konqueror HTML */
    -moz-user-select: none;
    /* Old versions of Firefox */
    -ms-user-select: none;
    /* Internet Explorer/Edge */
    user-select: none;
    /* Non-prefixed version, currently
                                  supported by Chrome, Edge, Opera and Firefox */
}

:root {
    --rz-primary: #3D37EE;
    --rz-secondary: #3D37EE;
    --rz-secondary-light: #3D37EE;
    --rz-text-color: #4D5E80;
    --rz-grid-cell-color: #4D5E80;
    --rz-steps-button-color: #4D5E80;
    --rz-grid-cell-font-size: 14px;
    --rz-grid-border-radius: 8px;
    --rz-grid-header-font-size: 12px;
    --rz-grid-header-color: #a0abbe;
    --rz-grid-header-font-weight: 500;
    --rz-grid-header-cell-padding: 0.5rem 0;
    --rz-tabs-tab-color: #a0abbe;
    --rz-tabs-tab-font-weight: 500;
    --rz-tabs-tab-selected-color: #3D37EE;
    --rz-tabs-tab-hover-color: #4D5E80;
    --rz-tabs-tab-font-size: 14px;
    --rz-tabs-tab-letter-spacing: 0;
    --rz-base-300: #DADADA;
    --rz-base-400: #DADADA;
    --rz-base-900: #4D5E80;
    --rz-grid-hover-color: #4D5E80;
    --rz-dialog-title-color: #41506f;
    --rz-dialog-title-font-weight: 700;
    --rz-dialog-title-letter-spacing: 0;
    --rz-dialog-title-font-size: 18px;
    --rz-dialog-title-line-height: 2.5rem;
    --rz-dialog-close-font-size: 28px;
    --rz-dialog-close-color: #4D5E80;
    --rz-dialog-close-vertical-align: top;
    --rz-input-value-color: #4D5E80;
    --rz-paginator-summary-color: #a0abbe;
    --rz-paginator-summary-font-size: 12px;
    --rz-danger: #FF4F4F;
    --rz-success: #12B76A;
    --rz-warning: #f09000;
    --rz-tabs-tab-text-transform: none;
    --rz-badge-text-transform: none;
    --rz-badge-letter-spacing: 0;
    --rz-badge-border-radius: 12px;
    --rz-badge-padding: 0.25rem 0.4rem;
    --rz-badge-font-weight: 700;
    --rz-on-primary-lighter: #4D5E80;
    --rz-dropdown-item-font-size: 14px;
    --rz-selectbar-selected-background-color: #eeeeee;
    --rz-notification-success-background-color: #ffffff;
    --rz-notification-error-background-color: #ffffff;
    --rz-notification-warning-background-color: #ffffff;
    --rz-notification-shadow: 1px 2px 8px 3px rgb(0 0 0 / 0.13);
    --rz-tooltip-background-color: #4D5E80;
    --rz-steps-number-background-color: #bfc0c6;
    --rz-secondary-lighter: rgba(61, 55, 238, 0.12);
    --rz-on-secondary-lighter: #3D37EE;
    --rz-base-lighter: #bebebe;
}

.rz-date-filter-buttons .rz-button,
.rz-button-md {
    text-transform: none;
    letter-spacing: 0;
    font-size: 14px;
    font-weight: 500;
}

.mb-0 {
    margin-bottom: 0;
}

.rz-custom-header {
    width: 100%;
}

.rz-form-field,
.rz-textbox,
.rz-form-field-content,
.rz-dropdown,
.rz-checkbox,
.rz-textarea, .rz-fileupload-buttonbar, .rz-fileupload {
    width: 100%;
}

.rz-calendar-month-dropdown {
    width: var(--rz-datepicker-month-dropdown-width);
}

.rz-calendar-year-dropdown {
    width: var(--rz-datepicker-year-dropdown-width);
}

.action-bar {
    padding: 20px 1.5rem;
    border-top: 1px solid #DADADA;
    position: fixed;
    bottom: 0;
    background: white;
    text-align: right;
    min-width: 150px;
    width: 400px;
    max-width: 100%;
    right: 0;
    gap: 10px;
}

.rz-dialog-side-content {
    width: 100%;
}

.rz-splitbutton-menubutton {
    margin-left: 0;
}

.rz-menuitem:hover {
    cursor: pointer;
}

.rz-switch.rz-switch-checked .rz-switch-circle:before {
    background: #3D37EE;
}

.rz-switch.rz-switch-checked .rz-switch-circle {
    background: rgb(60 55 238 / 42%);
}

.rz-growl-image.rzi-check:before {
    content: "check_circle"
}

.rz-navigation-item-text {
    font-size: 14px;
}

.rz-dialog-wrapper {
    z-index: 1005;
}

ul.rz-profile-menu {
    background: transparent;
}

ul.rz-profile-menu .rz-navigation-item-icon-children {
    display: none;
}

.booking-alert {
    background: #ffd9ac85;
    padding: 4px;
    border-radius: 8px;
    align-items: flex-start;
}

.booking-alert img {
    margin: 2px 4px;
}

.rz-datepicker-calendar .rz-datepicker-other-month {
    opacity: unset;
}

.rz-datepicker-calendar .rz-state-disabled {
    opacity: 0.5;
}

.new-customer-bullet {
    display: inline-block;
    width: 10px;
    height: 10px;
    border-radius: 50%;
    background: #12b76a;
    margin-left: 1px;
    margin-bottom: 2px;
}

.rz-breadcrumb-item .rz-link {
    color: #a0abbe;
}

.rz-breadcrumb-item .rz-label {
    font-weight: 700;
}

ul[role=tablist] {
    flex-wrap: wrap;
}

/* .rz-dialog-side {
    z-index: 1005;
} */

.tkly-loader {
    position: fixed;
    left: 50%;
    top: 45%;
    padding: 20px 0;
}

.rz-datatable-data td .rz-cell-data:has(.rz-switch), .rz-grid-table td .rz-cell-data:has(.rz-switch) {
    overflow: visible;
}

/*Responsive Styling*/
@media (max-width: 1000px) {
    .mb-1-mobile {
        margin-bottom: 1rem;
    }
}


@media (min-width: 900px) {
    .content {
        border-radius: 40px 0 0 40px;
    }

    main {
        margin: 10px 0;
    }

    .flex {
        display: flex;
    }

    .flex-width-70 {
        max-width: 70%;
    }

    .mb-0-desktop-only {
        margin-bottom: 0;
    }
}

@media (max-width: 899px) {
    h1 {
        font-size: 22px;
    }

    .content {
        padding-left: 1rem;
        padding-right: 1rem;
        padding-top: 2rem !important;
    }

    .hide-mobile {
        display: none;
    }

}


@media (max-width: 768px) {
    .rz-menu:not(.rz-profile-menu).rz-menu-closed .rz-navigation-item {
        display: block;
    }

    .rz-menu:not(.rz-profile-menu) .rz-menu-toggle-item {
        display: none;
    }
}


.fullscreen-modal .rz-dialog {
    width: 100vw !important;
    height: 100vh !important;
    max-width: none !important;
    max-height: none !important;
    top: 0 !important;
    left: 0 !important;
    margin: 0 !important;
    padding: 0 !important;
    border-radius: 0 !important;
}